Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 787704 - games-emulation/libretro-dosbox-0.0.1_pre20180723 - ./.../setup.h: error: ISO C++17 does not allow dynamic exception specification (maybe gcc-11 related)
Summary: games-emulation/libretro-dosbox-0.0.1_pre20180723 - ./.../setup.h: error: ISO...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Craig Andrews
URL:
Whiteboard: ~arch only
Keywords: PATCH
Depends on:
Blocks: gcc-11
  Show dependency tree
 
Reported: 2021-05-02 13:47 UTC by Toralf Förster
Modified: 2021-09-19 04:15 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
emerge-info.txt (emerge-info.txt,18.16 KB, text/plain)
2021-05-02 13:47 UTC, Toralf Förster
Details
emerge-history.txt (emerge-history.txt,467.60 KB, text/plain)
2021-05-02 13:47 UTC, Toralf Förster
Details
environment (environment,74.35 KB, text/plain)
2021-05-02 13:47 UTC, Toralf Förster
Details
etc.portage.tar.bz2 (etc.portage.tar.bz2,31.00 KB, application/x-bzip)
2021-05-02 13:47 UTC, Toralf Förster
Details
games-emulation:libretro-dosbox-0.0.1_pre20180723:20210502-122926.log (games-emulation:libretro-dosbox-0.0.1_pre20180723:20210502-122926.log,14.00 KB, text/plain)
2021-05-02 13:47 UTC, Toralf Förster
Details
temp.tar.bz2 (temp.tar.bz2,20.56 KB, application/x-bzip)
2021-05-02 13:47 UTC, Toralf Förster
Details
build-with-std-gnu-11.patch (0001-games-emulation-libretro-dosbox-build-with-std-gnu-1.patch,1.57 KB, patch)
2021-09-19 03:56 UTC, Kerin Millar
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Toralf Förster gentoo-dev 2021-05-02 13:47:35 UTC
x86_64-pc-linux-gnu-g++ -pipe -march=native -fno-diagnostics-color  -O2 -D__LIBRETRO__ -fPIC -I./src -I./libretro -I./libretro-common/include -I./include -I./src/midi/munt -DC_HAVE_MPROTECT="1" -O3 -DNDEBUG -DGIT_VERSION=\"" 169d476"\" -DSVN_VERSION=\"\" -DC_DYNREC="1" -DC_TARGETCPU="X86_64" -c src/cpu/cpu.cpp -o src/cpu/cpu.o
In file included from src/cpu/cpu.cpp:27:
./include/setup.h:92:35: error: ISO C++17 does not allow dynamic exception specifications
   92 |         Value& operator= (Hex in) throw(WrongType)                { return copy(Value(in));}
      |                                   ^~~~~
./include/setup.h:93:35: error: ISO C++17 does not allow dynamic exception specifications
   93 |         Value& operator= (int in) throw(WrongType)                { return copy(Value(in));}

  -------------------------------------------------------------------

  This is an unstable amd64 chroot image at a tinderbox (==build bot)
  name: 17.1_systemd-20210419-131016

  -------------------------------------------------------------------

gcc-config -l:
 [1] x86_64-pc-linux-gnu-7.3.1
 [2] x86_64-pc-linux-gnu-11.1.0 *
clang version 12.0.0
Target: x86_64-pc-linux-gnu
Thread model: posix
InstalledDir: /usr/lib/llvm/12/bin
/usr/lib/llvm/12
12.0.0
Python 3.8.9
Available Ruby profiles:
  [1]   ruby26 (with Rubygems)
  [2]   ruby30 (with Rubygems) *
Available Rust versions:
  [1]   rust-bin-1.51.0
  [2]   rust-1.51.0 *
The following VMs are available for generation-2:
*)	AdoptOpenJDK 8.292_p10 [openjdk-bin-8]
Available Java Virtual Machines:
  [1]   openjdk-bin-8  system-vm

The Glorious Glasgow Haskell Compilation System, version 8.10.4
  [1]   php7.3
  [2]   php7.4
  [3]   php8.0 *

  timestamp(s) of HEAD at this tinderbox image:
/var/db/repos/gentoo	Sun May  2 11:50:16 UTC 2021

emerge -qpvO games-emulation/libretro-dosbox
[ebuild  N    ] games-emulation/libretro-dosbox-0.0.1_pre20180723  USE="-debug"
Comment 1 Toralf Förster gentoo-dev 2021-05-02 13:47:36 UTC
Created attachment 705306 [details]
emerge-info.txt
Comment 2 Toralf Förster gentoo-dev 2021-05-02 13:47:38 UTC
Created attachment 705309 [details]
emerge-history.txt
Comment 3 Toralf Förster gentoo-dev 2021-05-02 13:47:39 UTC
Created attachment 705312 [details]
environment
Comment 4 Toralf Förster gentoo-dev 2021-05-02 13:47:41 UTC
Created attachment 705315 [details]
etc.portage.tar.bz2
Comment 5 Toralf Förster gentoo-dev 2021-05-02 13:47:42 UTC
Created attachment 705318 [details]
games-emulation:libretro-dosbox-0.0.1_pre20180723:20210502-122926.log
Comment 6 Toralf Förster gentoo-dev 2021-05-02 13:47:43 UTC
Created attachment 705321 [details]
temp.tar.bz2
Comment 7 Sam James archtester gentoo-dev Security 2021-07-29 06:12:11 UTC
Ping
Comment 8 Kerin Millar 2021-09-19 03:56:28 UTC
Created attachment 739836 [details, diff]
build-with-std-gnu-11.patch
Comment 9 Larry the Git Cow gentoo-dev 2021-09-19 04:15:45 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=770384f01be77ea6c4d14c7a77c88b96c7fb4d60

commit 770384f01be77ea6c4d14c7a77c88b96c7fb4d60
Author:     Kerin Millar <kfm@plushkava.net>
AuthorDate: 2021-09-19 03:49:03 +0000
Commit:     Sam James <sam@gentoo.org>
CommitDate: 2021-09-19 04:15:25 +0000

    games-emulation/libretro-dosbox: build with -std=gnu++11
    
    The codebase is not yet compatible with any newer C++ dialect.
    
    Closes: https://bugs.gentoo.org/787704
    Bug: https://github.com/libretro/dosbox-libretro/issues/137
    Signed-off-by: Kerin Millar <kfm@plushkava.net>
    Signed-off-by: Sam James <sam@gentoo.org>

 .../libretro-dosbox/libretro-dosbox-0.0.1_pre20180723.ebuild     | 9 +++++++--
 games-emulation/libretro-dosbox/libretro-dosbox-9999.ebuild      | 9 +++++++--
 2 files changed, 14 insertions(+), 4 deletions(-)